#
# spec file for package bzflag (Version 1.7e2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp mesa mesa-devel mesasoft xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         bzflag
Copyright:    Copyright (c) 1999 Chris Schoeneman
Group:        X11/Games
Provides:     bzflag 
Autoreqprov:  on
Version:      1.7e2
Release:      43
Summary:      3D networked multiplayer tank battle game
URL:          http://BZFlag.org/
Source:       ftp://ftp.sourceforge.net/pub/sourceforge/bzflag/%{name}-%{version}.tar.bz2
Source1:      bzflag.sh
Patch:        bzflag-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-root

%description
Bzflag is a 3D multi-player tank battle game that allows users to play
against each other in a networked environment. Since it makes heavy use
of 3D graphics (OpenGL), a fast CPU or a supported 3D video-card is
heavily recommended.

Authors:
--------
    Chris Schoeneman <crs23@bigfoot.com> 
    Tim Riker <Tim@Rikers.org>

SuSE series: fun

%prep
%setup
%patch

%build
%ifarch i386 i486 i586 i686
	make linux-i386
%endif
%ifarch alpha sparc sparc64 ia64 s390
	make linux
%endif
%ifarch ppc
	make linux-ppc
%endif
make ACXXOPTS="$RPM_OPT_FLAGS" ACOPTS="$RPM_OPT_FLAGS" all

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man6
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/games/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/games/lib/bzflag
install -m 644 man/*.6 $RPM_BUILD_ROOT%{_mandir}/man6/
install -m 644 -o root -g root data/* $RPM_BUILD_ROOT/usr/games/lib/bzflag
install -m 755 -o root -g root bin/* $RPM_BUILD_ROOT/usr/games/bin
install -m 755 -o root -g root misc/bzfquery.pl $RPM_BUILD_ROOT/usr/games/bin
install -m 755 -o root -g root %{SOURCE1} $RPM_BUILD_ROOT/usr/X11R6/bin/bzflag
cd $RPM_BUILD_ROOT/usr/bin
ln -fs ../games/bin/bzfs ./bzfs
ln -fs ../games/bin/bzfls ./bzfls
ln -fs ../games/bin/bzfrelay ./bzfrelay
ln -fs ../games/bin/bzfquery.pl ./bzfquery

%clean
# Clear up the mess
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc %{_mandir}/man6/bzflag.6.gz
%doc %{_mandir}/man6/bzfls.6.gz
%doc %{_mandir}/man6/bzfrelay.6.gz
%doc %{_mandir}/man6/bzfs.6.gz
%doc BUGS LICENSE PORTING README README.SOLARIS README.UNIX
%doc README.WIN32 RELNOTES TODO package/rpm/README.linux
/usr/X11R6/bin/bzflag
/usr/bin/bzfquery
/usr/bin/bzfs
/usr/games/bin/bzflag
/usr/games/bin/bzfls
/usr/games/bin/bzfquery.pl
/usr/games/bin/bzfrelay
/usr/games/bin/bzfs
/usr/games/lib/bzflag

%changelog -n bzflag
* Wed Jul 11 2001 - grimmer@suse.de
- update to 1.7e2
* Mon Jul 09 2001 - sndirsch@suse.de
- xdevel3 for #neededforbuild not required any more
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Mon Mar 19 2001 - grimmer@suse.de
- Update to version 1.7e1
- created new patch, added wrapper script as separate source
  file
- spec file fixes / cleanups
- removed hard coded requirement on mesa (RPM can take care of that)
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Mon Nov 13 2000 - ro@suse.de
- don't redeclare inet_aton
* Tue Aug 01 2000 - grimmer@suse.de
- replaced #neededforbuild xdevel with xdevel3
* Mon Jun 05 2000 - ro@suse.de
- added mesadev to neededforbuild
* Fri Apr 14 2000 - schwab@suse.de
- Use generic linux configuration for ia64.
* Thu Mar 16 2000 - grimmer@suse.de
- Update to 1.7d.9
- Added BuildRoot
- added bzfrelay and bzfls (incl. manpages)
* Mon Jan 24 2000 - uli@suse.de
- added -D__linux to PC*FLAGS (needed for gcc 2.95)
* Fri Jan 21 2000 - grimmer@suse.de
- spec file cleanups (added URL, Group and version macro)
* Fri Jan 21 2000 - ro@suse.de
- use _GNU_SOURCE
* Mon Dec 20 1999 - kukuk@suse.de
- fixed for SPARC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 31 1999 - uli@suse.de
- fixed for PPC
* Tue Jun 22 1999 - grimmer@suse.de
- initial package (Version 1.7c)
